import { Observable } from 'rxjs';
import { MonkeyEcxRequestProgressQueue, MonkeyEcxRequestQueue } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestQueueModalHandlingService {
    private queue;
    private queues$;
    private newQueue$;
    private allQueueFinished$;
    constructor();
    private addToQueue;
    private markQueueItemAsFinish;
    private updateQueue;
    private deleteQueue;
    setQueue(q: MonkeyEcxRequestQueue): void;
    getQueue(): Observable<MonkeyEcxRequestQueue[]>;
    finishQueueItem(q: MonkeyEcxRequestQueue, action?: Function, status?: number): void;
    removeQueueItem(q: MonkeyEcxRequestQueue): void;
    updateQueueItem(q: MonkeyEcxRequestQueue, progress: MonkeyEcxRequestProgressQueue): void;
    hasNewQueue(): Observable<boolean>;
    hasAllQueueFinished(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestQueueModalHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestQueueModalHandlingService>;
}
